## org.apache.maven.shared.io.location
Class ClasspathResourceLocatorStrategy

    java.lang.Object
      org.apache.maven.shared.io.location.ClasspathResourceLocatorStrategy

All Implemented Interfaces:
  LocatorStrategy

    public class ClasspathResourceLocatorStrategy

extends java.lang.Object
implements LocatorStrategy

Constructor Summary
`ClasspathResourceLocatorStrategy()`
`ClasspathResourceLocatorStrategy(java.lang.String tempFilePrefix, java.lang.String tempFileSuffix, boolean tempFileDeleteOnExit)`

Method Summary
`Location` `resolve(java.lang.String locationSpecification, MessageHolder messageHolder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathResourceLocatorStrategy

    public ClasspathResourceLocatorStrategy()

### ClasspathResourceLocatorStrategy

    public ClasspathResourceLocatorStrategy(java.lang.String tempFilePrefix,
                                            java.lang.String tempFileSuffix,
                                            boolean tempFileDeleteOnExit)

Method Detail

### resolve

    public Location resolve(java.lang.String locationSpecification,
                            MessageHolder messageHolder)

  Specified by:
    `resolve` in interface `LocatorStrategy`

Copyright © 2011. All Rights Reserved.